Skip to main content
GET
Call/Put Net/Vol Ticks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

The net premium for each trading minute.

call_volume
integer

The sum of the size of all the call transactions that executed.

Example:

990943

call_volume_ask_side
integer

The sum of the size of all the call transactions that executed on the ask side.

Example:

417251

call_volume_bid_side
integer

The sum of the size of all the call transactions that executed on the bid side.

Example:

498271

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

net_call_premium
string

Defined as (call premium ask side) - (call premium bid side).

Example:

"-29138464"

net_call_volume
integer

Defined as (call volume ask side) - (call volume bid side).

Example:

1049

net_delta
string

Net delta

Example:

"26294.85"

net_put_premium
string

Defined as (put premium ask side) - (put premium bid side).

Example:

"23924325"

net_put_volume
integer

Defined as (put volume ask side) - (put volume bid side).

Example:

1313

put_volume
integer

The sum of the size of all the put transactions that executed.

Example:

808326

put_volume_ask_side
integer

The sum of the size of all the put transactions that executed on the ask side.

Example:

431791

put_volume_bid_side
integer

The sum of the size of all the put transactions that executed on the bid side.

Example:

314160

tape_time
string

The start time of the tick as a timestamp with timezone.

Example:

"2023-09-07T13:30:00.000Z"

Last modified on September 29, 2026